module Tvteka
  class Show
    
    attr_accessor :id, :description, :beginning, :beginning_str, :avail, :ending_str, :ended, :link, :beginning_real, :videostatus, :ending, :title, :ending_real, :width, :height, :streaming_urls, :thumb_url
    
    def initialize(params = {})
      params.each do |k, v|
        self.send("#{k}=", v)
      end
    end
    
    def self.init_from_array(params_array = [])
      params_array.map {|params| Tvteka::Show.new(params)}
    end
    
  end
end