module Tvteka
  class Channel
    
    attr_accessor :id, :thumb_url, :videostatus, :favourited, :link, :telecast, :width, :button, :logo, :tz_offset, :schedule_date, :streaming_urls, :timezone, :height, :name, :schedule_link
    
    def initialize(params = {})
      params.each do |k, v|
        self.send("#{k}=", v)
      end
    end
    
    def self.init_from_array(params_array = [])
      params_array.map {|params| Tvteka::Channel.new(params)}
    end
    
  end
end