module Tvteka
  
  class Session
    
    attr_accessor :device_type_id, :device_id, :token, :created_at, :authorized, :subscription_active, :stb_active, :user_id, :user_timezone, :user_tz_offset, :display_name
    
    def initialize(params = {})
      params.each do |k, v|
        self.send("#{k}=", v)
      end
    end
    
    def authorized?
      authorized
    end
    
  end
  
end